﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms.VisualStyles;

namespace CheckBox_TreeView
{
    public class CheckButtonElementEx : C1.Framework.CheckButtonElement
    {
        public C1.Win.TreeView.C1TreeNode? Node;
        public CheckButtonElementEx()
        {
            CheckBoxIndex = 0;
        }

        public override Image GetCheckboxImage(CheckBoxState state)
        {
            if (this.Checked)
                return GetImage(CheckBoxState.CheckedNormal);
            else
                return GetImage(CheckBoxState.UncheckedNormal);
        }

        protected override void OnClick()
        {
            base.OnClick();
            if(Node != null)
            {
                Node.Checked = this.Checked;
            }
        }

        protected override void FinalizeUI()
        {
            base.FinalizeUI();
            Node = null;
        }
    }
}
